﻿@model  PagedList.IPagedList<BrandViewModel>
@{
    ViewBag.Title = $"برندها";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="row" style="line-height: 30px; padding: 5px 10px 5px 10px; vertical-align: middle;">
        <div class="col-12">
            @Html.ActionLink("افزودن برند", "Add", null, new { @class = "btn btn-primary" })
        </div>
    </div>
</div>
<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }
</style>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                        @<thead>
                            <tr>
                                <th style="width:10px">
                                    @Html.DisplayNameFor(model => model.GetObject().Id)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Media)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Name)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().Url)
                                </th>
                                <th>
                                    <span>عملیات</span>
                                </th>
                            </tr>
                        </thead>,
            @<tbody>
                @foreach (var model in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => model.Id)
                        </td>
                        <td>
                            @if (model.Media != null)
                             {
                                <img src="@(model.Media.Thumbnails.ImgSrc("brand.small"))" class="img img-fluid" />
                             }
                             else
                             {
                                <small>بدون تصویر</small>
                             }
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Name)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Url)
                        </td>
                        <td>
                            <div class="btn-group" style="width:217px">
                                @Html.ActionLink("ویرایش", "Edit", new { id = model.Id }, new { @class = "btn btn-warning" })
                                <a onclick="MoreDetail(@(model.Id))" class="btn btn-primary">جزئیات بیشتر</a>
                                <a onclick="@Html.DeleteModal((int)model.Id);" class="btn btn-danger">حذف</a>
                            </div>
                        </td>
                    </tr>
                    <tr id="detail-@(model.Id)" class="d-none">
                        <td colspan="2">
                            <ul class="list-unstyled">
                                <li><b>افزوده شده توسط: </b>@Html.DisplayFor(modelItem => model.InsertUser.FullName)</li>
                                <li><b>تاریخ افزودن: </b>@(model.InsertDate.ToFaDateTimeZone())</li>
                                @if (model.UpdateUser != null && model.UpdateDate.HasValue)
                                {
                                   <li><b>آخرین ویرایش توسط: </b>@Html.DisplayFor(modelItem => model.UpdateUser.FullName)</li>
                                   <li><b>تاریخ آخرین ویرایش: </b>@(model.UpdateDate.Value.ToFaDateTimeZone())</li>
                                }
                            </ul>
                        </td>
                        <td colspan="3">
                            <ul class="list-unstyled">
                                <li><b>متا کلمات کلیدی: </b> @Html.DisplayFor(modelItem => model.MetaKeywords)</li>
                                <li><b>متا توضیحات: </b> @Html.DisplayFor(modelItem => model.MetaDescription)</li>
                            </ul>
                        </td>
                    </tr>
                }
            </tbody>).Order(4, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
                @Html.CreateDeleteModal()
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function MoreDetail(id) {
            $("tr[id*='detail-']").addClass('d-none');
            $('#detail-' + id).toggleClass('d-none');
        }
    </script>
}